#
# spec file for package broadcom-bnx2x (Version 1.70.35)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcap libcom_err libgcc libmudflap libnscd libstdc++ libtool libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-certs pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           broadcom-bnx2x
BuildRequires:  kernel-source kernel-syms module-init-tools
License:        GPL
Group:          System/Kernel
Summary:        Broadcom 10G Network driver for Linux
Version:        1.70.35
Release:        1
Source0:        %name-%version.tar.bz2
Source1:        Module.supported

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%suse_kernel_module_package kdump um

%description
This package contains the Linux driver for the Broadcom 10G Network Adapters

%package KMP

Summary:        Broadcom 10G Network driver for Linux
Group:          System/Kernel

%description KMP
This package contains the Linux driver for the Broadcom 10G Network Server Adapters

%prep
%setup

cp %_sourcedir/Module.supported Module.supported

set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%changelog
* Mon Dec 12 2011 - poswald@novell.com
-Initial PLDP build of the Broadcom bnx2x v1.70.35
